## gcc-12 12.4.0

=== debian/changelog ===
gcc-12 (12.4.0-6ubuntu1) questing; urgency=medium

  * Build-depend on questing's base-files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Apr 2025 14:04:47 +0200

gcc-12 (12.4.0-6) experimental; urgency=medium

  * Update to git 20250430 from the gcc-12 branch.
    - Fix PR other/107616, PR target/119235 (S390), PR tree-optimization/119399,
      PR tree-optimization/116125, PR tree-optimization/116412,
      PR tree-optimization/118922, PR middle-end/111285,
      PR tree-optimization/116922, PR tree-optimization/117243,
      PR tree-optimization/116749, PR rtl-optimization/119689,
      PR rtl-optimization/115568, PR rtl-optimization/115568,
      PR tree-optimization/114246, PR middle-end/115641,
      PR tree-optimization/116481, PR tree-optimization/116850,
      PR tree-optimization/117119, PR tree-optimization/117574,
      PR tree-optimization/117912, PR tree-optimization/118717,
      PR target/119372 (AArch64), PR c++/114772, PR c++/101180,
      PR d/119817, PR fortran/119656, PR libstdc++/93672,
      PR libstdc++/117983, PR libstdc++/118035, PR libstdc++/106212,
      PR libstdc++/117966, PR libstdc++/113841, PR libstdc++/116549,
      PR libstdc++/117560, PR libstdc++/21334, PR tree-optimization/107087,
      PR libstdc++/99117.
  * On ppc64el configure --with-long-double-format=ieee for upcoming distros.
  * Address PR libstdc++/103382, when not building the common libs, install
    the library in the gcc_lib_dir to link against the libstdc++ from this
    GCC version.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Apr 2025 13:53:20 +0200

gcc-12 (12.4.0-5ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 07:52:44 +0100

gcc-12 (12.4.0-5) unstable; urgency=medium

  * Update to git 20250315 from the gcc-12 branch.
    - Fix PR tree-optimization/118976, PR target/116999 (AArch64),
      PR target/117045 (AArch64), PR testsuite/116238, PR target/115485 (ARM),
      PR rtl-optimization/118739, PR target/118835 (S390),
      PR target/118825 (X86), PR middle-end/115913, PR target/118067 (X86),
      PR gcov-profile/116743, PR tree-optimization/117417,
      PR tree-optimization/117307, PR tree-optimization/117254,
      PR tree-optimization/117104, PR middle-end/116891,
      PR tree-optimization/116768, PR tree-optimization/116290,
      PR middle-end/69482, PR tree-optimization/116057,
      PR tree-optimization/115669, PR tree-optimization/115646,
      PR ada/118234, PR ada/118234, PR ada/118234, PR c++/118255, PR c++/118147,
      PR d/119139, PR d/116961, PR d/111650, PR d/114434, PR fortran/106692.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2025 07:48:29 +0100

gcc-12 (12.4.0-4ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2025 18:49:02 +0100

gcc-12 (12.4.0-4) unstable; urgency=medium

  * Update to git 20250102 from the gcc-12 branch.
    - Fix PR target/64242 (AVR), PR tree-optimization/117142,
      PR target/117562 (x86), PR target/117744 (AVR), PR target/117357 (x86),
      PR target/117659 (AVR), PR target/117525 (AVR), PR target/117418 (x86),
      PR tree-optimization/117398, PR target/117318 (x86),
      PR rtl-optimization/117327, PR target/116415 (PPC),
      PR target/117240 (x86), PR target/117159 (x86), PR target/117116 (x86),
      PR ipa/111613, PR ipa/109985, PR ipa/113787, PR ipa/115033, PR ipa/114207,
      PR tree-optimization/109934, PR target/116962 (x86),
      PR tree-optimization/116585, PR target/116839 (x86),
      PR target/115860 (S390), PR target/116621 (x86), PR ipa/116410,
      PR target/116512 (x86), PR target/114603 (AArch64),
      PR target/114607 (AArch64), PR target/116043 (x86), PR target/113384 (PA),
      PR target/116189 (SH), PR target/114759 (PPC), PR target/114759 (PPC),
      PR target/115389 (PPC), PR tree-optimization/115843,
      PR rtl-optimization/115565, PR target/97367 (PPC),
      PR rtl-optimization/115049, PR target/115526 (alpha),
      PR target/115872, PR target/115611 (ARM), PR ada/117996, PR ada/115917,
      PR ada/114593, PR c++/117615, PR c++/117158, PR c++/116676,
      PR fortran/105054, PR fortran/117763, PR fortran/109345, PR fortran/79685,
      PR fortran/84868, PR fortran/100273, PR fortran/108889, PR fortran/103115,
      PR libstdc++/115399, PR libstdc++/116641, PR libstdc++/115585.
  * Fix amdgcn-tools links for the amdgcn offload install.
  * Fix check for assembler section merging support on ARM, see binutils
    PR ld/32491.
  * Revert PR ada/117996, causing a change in the gnat-12-xxx provides.
    See #1090345.
  * d/control: Add Rules-Requires-Root: binary-targets. Too late for trixie.
  * Rewrite the logwatch script to look at all log files.
  * Drop the package-metadata spec, now implemented in the linkers.
  * Fix libphobos testsuite with sbuild's unshare backend. Addresses: #1089007.
  * Fix PR libgomp/117851, taken from the trunk.
  * Build-depend on git, needed for the gotools tests.
  * Don't run the libgo tests for multilibs, that cannot run.
  * Don't run the gnat and gm2 tests for multilibs, which are not built.
  * Bump standards version.
  * Refresh patches.
  * Remove the ada-nobiarch-check patch, superseded.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jan 2025 18:46:51 +0100

gcc-12 (12.4.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jul 2024 16:38:35 +0200

gcc-12 (12.4.0-2) unstable; urgency=medium

  * Update to git 20240711 from the gcc-12 branch.
    - Fix PR middle-end/115836, PR target/103100 (AArch64),
      PR target/87376 (AVR), PR target/115475 (AArch64),
      PR target/115457 (AArch64), PR target/115691 (PA), PR target/98762 (AVR),


=== debian/control ===
Source: gcc-12
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: base-files (>= 13.7), debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, gcc-13-base, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.37), binutils-hppa64-linux-gnu:native (>= 2.37) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64 !mipsel !mips64el], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-12:native [!arc !ia64 !loong64 !sh3 !sh3eb !sh4eb], g++-12:native, netbase, gdc-12:native [!arc !ia64 !loong64 !m68k !sh4 !s390 !sparc64 !alpha !hurd-alpha !hurd-amd64 !hurd-i386 !hurd-alpha !kfreebsd-amd64 !kfreebsd-i386 !kfreebsd-alpha], python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, git <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-12-alpha-linux-gnu [alpha] <cross>, gobjc-12-alpha-linux-gnu [alpha] <cross>, gfortran-12-alpha-linux-gnu [alpha] <cross>, gdc-12-alpha-linux-gnu [alpha] <cross>, gccgo-12-alpha-linux-gnu [alpha] <cross>, gnat-12-alpha-linux-gnu [alpha] <cross>, gm2-12-alpha-linux-gnu [alpha] <cross>, g++-12-x86-64-linux-gnu [amd64] <cross>, gobjc-12-x86-64-linux-gnu [amd64] <cross>, gfortran-12-x86-64-linux-gnu [amd64] <cross>, gdc-12-x86-64-linux-gnu [amd64] <cross>, gccgo-12-x86-64-linux-gnu [amd64] <cross>, gnat-12-x86-64-linux-gnu [amd64] <cross>, gm2-12-x86-64-linux-gnu [amd64] <cross>, g++-12-arm-linux-gnueabi [armel] <cross>, gobjc-12-arm-linux-gnueabi [armel] <cross>, gfortran-12-arm-linux-gnueabi [armel] <cross>, gdc-12-arm-linux-gnueabi [armel] <cross>, gccgo-12-arm-linux-gnueabi [armel] <cross>, gnat-12-arm-linux-gnueabi [armel] <cross>, gm2-12-arm-linux-gnueabi [armel] <cross>, g++-12-arm-linux-gnueabihf [armhf] <cross>, gobjc-12-arm-linux-gnueabihf [armhf] <cross>, gfortran-12-arm-linux-gnueabihf [armhf] <cross>, gdc-12-arm-linux-gnueabihf [armhf] <cross>, gccgo-12-arm-linux-gnueabihf [armhf] <cross>, gnat-12-arm-linux-gnueabihf [armhf] <cross>, gm2-12-arm-linux-gnueabihf [armhf] <cross>, g++-12-aarch64-linux-gnu [arm64] <cross>, gobjc-12-aarch64-linux-gnu [arm64] <cross>, gfortran-12-aarch64-linux-gnu [arm64] <cross>, gdc-12-aarch64-linux-gnu [arm64] <cross>, gccgo-12-aarch64-linux-gnu [arm64] <cross>, gnat-12-aarch64-linux-gnu [arm64] <cross>, gm2-12-aarch64-linux-gnu [arm64] <cross>, g++-12-i686-linux-gnu [i386] <cross>, gobjc-12-i686-linux-gnu [i386] <cross>, gfortran-12-i686-linux-gnu [i386] <cross>, gdc-12-i686-linux-gnu [i386] <cross>, gccgo-12-i686-linux-gnu [i386] <cross>, gnat-12-i686-linux-gnu [i386] <cross>, gm2-12-i686-linux-gnu [i386] <cross>, g++-12-mipsel-linux-gnu [mipsel] <cross>, gobjc-12-mipsel-linux-gnu [mipsel] <cross>, gfortran-12-mipsel-linux-gnu [mipsel] <cross>, gdc-12-mipsel-linux-gnu [mipsel] <cross>, gccgo-12-mipsel-linux-gnu [mipsel] <cross>, gnat-12-mipsel-linux-gnu [mipsel] <cross>, gm2-12-mipsel-linux-gnu [mipsel] <cross>, g++-12-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-12-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-12-mips64-linux-gnuabi64 [mips64] <cross>, gdc-12-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-12-mips64-linux-gnuabi64 [mips64] <cross>, gnat-12-mips64-linux-gnuabi64 [mips64] <cross>, gm2-12-mips64-linux-gnuabi64 [mips64] <cross>, g++-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-12-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-12-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-12-powerpc-linux-gnu [powerpc] <cross>, gobjc-12-powerpc-linux-gnu [powerpc] <cross>, gfortran-12-powerpc-linux-gnu [powerpc] <cross>, gdc-12-powerpc-linux-gnu [powerpc] <cross>, gccgo-12-powerpc-linux-gnu [powerpc] <cross>, gnat-12-powerpc-linux-gnu [powerpc] <cross>, g++-12-powerpc64-linux-gnu [ppc64] <cross>, gobjc-12-powerpc64-linux-gnu [ppc64] <cross>, gfortran-12-powerpc64-linux-gnu [ppc64] <cross>, gdc-12-powerpc64-linux-gnu [ppc64] <cross>, gccgo-12-powerpc64-linux-gnu [ppc64] <cross>, gnat-12-powerpc64-linux-gnu [ppc64] <cross>, g++-12-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-12-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-12-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-12-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-12-powerpc64le-linux-gnu [ppc64el] <cross>, g++-12-m68k-linux-gnu [m68k] <cross>, gobjc-12-m68k-linux-gnu [m68k] <cross>, gfortran-12-m68k-linux-gnu [m68k] <cross>, gdc-12-m68k-linux-gnu [m68k] <cross>, gm2-12-m68k-linux-gnu [m68k] <cross>, g++-12-riscv64-linux-gnu [riscv64] <cross>, gobjc-12-riscv64-linux-gnu [riscv64] <cross>, gfortran-12-riscv64-linux-gnu [riscv64] <cross>, gdc-12-riscv64-linux-gnu [riscv64] <cross>, gccgo-12-riscv64-linux-gnu [riscv64] <cross>, gnat-12-riscv64-linux-gnu [riscv64] <cross>, gm2-12-riscv64-linux-gnu [riscv64] <cross>, g++-12-sh4-linux-gnu [sh4] <cross>, gobjc-12-sh4-linux-gnu [sh4] <cross>, gfortran-12-sh4-linux-gnu [sh4] <cross>, gnat-12-sh4-linux-gnu [sh4] <cross>, g++-12-sparc64-linux-gnu [sparc64] <cross>, gobjc-12-sparc64-linux-gnu [sparc64] <cross>, gfortran-12-sparc64-linux-gnu [sparc64] <cross>, gdc-12-sparc64-linux-gnu [sparc64] <cross>, gccgo-12-sparc64-linux-gnu [sparc64] <cross>, gnat-12-sparc64-linux-gnu [sparc64] <cross>, gm2-12-sparc64-linux-gnu [sparc64] <cross>, g++-12-s390x-linux-gnu [s390x] <cross>, gobjc-12-s390x-linux-gnu [s390x] <cross>, gfortran-12-s390x-linux-gnu [s390x] <cross>, gdc-12-s390x-linux-gnu [s390x] <cross>, gccgo-12-s390x-linux-gnu [s390x] <cross>, gnat-12-s390x-linux-gnu [s390x] <cross>, gm2-12-s390x-linux-gnu [s390x] <cross>, g++-12-x86-64-linux-gnux32 [x32] <cross>, gobjc-12-x86-64-linux-gnux32 [x32] <cross>, gfortran-12-x86-64-linux-gnux32 [x32] <cross>, gdc-12-x86-64-linux-gnux32 [x32] <cross>, gccgo-12-x86-64-linux-gnux32 [x32] <cross>, gnat-12-x86-64-linux-gnux32 [x32] <cross>, gm2-12-x86-64-linux-gnux32 [x32] <cross>, g++-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-12-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-12-debian
XS-Testsuite: autopkgtest
Rules-Requires-Root: binary-targets

Package: gcc-12-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-12-dev
X-DH-Build-For-Type: target

## gcc-12 12.5.0

=== libffi/testsuite/libffi.bhaible/Makefile ===
CC = gcc
CFLAGS = -O2 -Wall
prefix =
includedir = $(prefix)/include
libdir = $(prefix)/lib
CPPFLAGS = -I$(includedir)
LDFLAGS = -L$(libdir) -Wl,-rpath,$(libdir)

all: check-call check-callback

test-call: test-call.c testcases.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o test-call test-call.c -lffi

test-callback: test-callback.c testcases.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o test-callback test-callback.c -lffi

check-call: test-call
	./test-call > test-call.out
	LC_ALL=C uniq -u < test-call.out > failed-call
	test '!' -s failed-call

check-callback: test-callback
	./test-callback > test-callback.out
	LC_ALL=C uniq -u < test-callback.out > failed-callback
	test '!' -s failed-callback

clean:
	rm -f test-call test-callback test-call.out test-callback.out failed-call failed-callback

=== debian/changelog ===
gcc-12 (12.5.0-6ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Sep 2025 15:46:23 +0200

gcc-12 (12.5.0-6) unstable; urgency=medium

  * Update the libsanitizer-termio patch and only apply it for glibc (>= 2.42).

 -- Matthias Klose <doko@debian.org>  Fri, 12 Sep 2025 15:43:35 +0200

gcc-12 (12.5.0-5ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Sep 2025 20:13:33 +0200

gcc-12 (12.5.0-5) unstable; urgency=medium

  * Build again using GCC 12.
  * Re-enable running the testsuite.
  * Bump debhelper version to 11.
  * Fix the gm2 build.
  * Stop building the amdgcn offload compiler for forky.
  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Sep 2025 20:05:42 +0200

gcc-12 (12.5.0-4) unstable; urgency=medium

  * Build libgphobos on sparc64.
  * Build using GCC 11 for the libgphobos bootstrap.
  * Don't run the tests for the bootstrap build.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Sep 2025 09:01:27 +0200

gcc-12 (12.5.0-3ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Sep 2025 11:19:57 +0200

gcc-12 (12.5.0-3) unstable; urgency=medium

  * Build again using GCC 12.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2025 11:15:51 +0200

gcc-12 (12.5.0-2) unstable; urgency=medium

  * Build full libgphobos on ppc64el for IEEE long double.
  * Build using GCC 11 for the libgphobos bootstrap.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Sep 2025 16:08:26 +0200

gcc-12 (12.5.0-1ubuntu2) questing; urgency=medium

  * Build full libgphobos on ppc64el for IEEE long double.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Sep 2025 07:16:45 +0200

gcc-12 (12.5.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Jul 2025 12:32:18 +0200

gcc-12 (12.5.0-1) unstable; urgency=medium

  * GCC 12.5.0 release.
    - Fix PR c++/120940.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2025 10:56:51 +0200

gcc-12 (12.4.0-8ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Jul 2025 18:19:50 +0200

gcc-12 (12.4.0-8) unstable; urgency=medium

  * Update to git 20250704 from the gcc-12 branch (12.5.0 rc).
    - Enable generation of GNU stack notes on hppa.
    - Fix PR ipa/116055, PR ipa/106057, PR middle-end/66279,
      PR middle-end/119706, PR tree-optimization/119534,
      PR middle-end/119119, PR tree-optimization/119057,
      PR tree-optimization/117424, PR tree-optimization/117113,
      PR lto/114501, PR lto/113207, PR tree-optimization/112859,
      PR tree-optimization/115347, PR ipa/111245, PR middle-end/115110,
      PR middle-end/101478, PR tree-optimization/87984,
      PR tree-optimization/111125, PR middle-end/117811,
      PR target/119834 (S390), PR target/118623 (X86),
      PR rtl-optimization/113994, PR rtl-optimization/116799,
      PR sanitizer/110676, PR target/119327 (PPC),
      PR rtl-optimization/119785, PR driver/119727, PR lto/119625,
      PR rtl-optimization/119291, PR c/119183, PR tree-optimization/118915,
      PR target/118776 (X86), PR ipa/117432, PR middle-end/114877,
      PR middle-end/118024, PR target/117642, PR middle-end/102674,
      PR middle-end/43374, PR tree-optimization/117439, PR target/117296,
      PR middle-end/117249, PR target/116738 (X86), PR target/116287 (X86),
      PR tree-optimization/116034, PR middle-end/115527,
      PR tree-optimization/111873, PR target/119610 (AArch64),
      PR target/114676 (S390), PR middle-end/118411, PR c/117230,
      PR c/119582, PR c/119000, PR c/117745, PR c++/120940, PR c++/120471,
      PR c++/79786, PR c++/117792, PR c++/116320, PR c++/114303,
      PR c++/116418, PR c++/113976, PR c++/116636, PR c++/116606,
      PR c++/98533, PR c++/119123, PR c++/118763, PR c++/118661,
      PR c++/117827, PR c++/118509, PR c++/117825, PR c++/116108,
      PR c++/117317, PR c++/117259, PR c++/116678, PR c++/116449,
      PR c++/120123, PR d/118477, PR fortran/120191, PR lto/91299,
      PR libgcc/101075, PR libgcc/119796, PR target/118685,
      PR target/120441, PR libfortran/120196, PR fortran/120191,
      PR lto/116614, PR libstdc++/99832.
  * libsanitizer: Fix build with glibc 2.42.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Jul 2025 16:31:14 +0200

gcc-12 (12.4.0-7) unstable; urgency=medium

  * Update to git 20250502 from the gcc-12 branch.
    - Fix PR rtl-optimization/116564, PR tree-optimization/118924,
      PR ada/112958.
  * Fix multilib installation for PR libstdc++/103382.
  * Ada: revert upstream a210011c, restore libgnat hash.  See: #1104593.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2025 21:10:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.7.2
-Build-Depends: base-files (>= 13.7), debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>, 
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>, 
   libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
   kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
   m4, libtool, autoconf2.69, gcc-13-base, 
@@ -16,7 +16,7 @@
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64 !mipsel !mips64el], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-12:native [!arc !ia64 !loong64 !sh3 !sh3eb !sh4eb], g++-12:native, netbase, gdc-12:native [!arc !ia64 !loong64 !m68k !sh4 !s390 !sparc64 !alpha !hurd-alpha !hurd-amd64 !hurd-i386 !hurd-alpha !kfreebsd-amd64 !kfreebsd-i386 !kfreebsd-alpha], python3:any, 
+  procps, gnat-12:native [!arc !ia64 !loong64 !sh3 !sh3eb !sh4eb], g++-12:native, netbase, gdc-12:native [!arc !ia64 !loong64 !m68k !sh4 !s390 !alpha !hurd-alpha !hurd-amd64 !hurd-i386 !hurd-alpha !kfreebsd-amd64 !kfreebsd-i386 !kfreebsd-alpha], python3:any, 
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu <!nocheck>, git <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
   pkg-config, libgc-dev, 
@@ -41,3 +41,5 @@
 
 Package: libgcc-12-dev
 X-DH-Build-For-Type: target
+Architecture: any
+Section: libdevel

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Build rules for gcc (>= 2.95) and gcc-snapshot
# Targets found in this makefile:
#	- unpack tarballs
#	- patch sources
#	- (re)create the control file
#	- create a debian/rules.parameters file, which is included
#	  by debian/rules2
# All other targets are passed to the debian/rules2 file

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES

default: build

include debian/rules.defs
include debian/rules.unpack
include debian/rules.patch

control: $(control_dependencies)
	@echo "Build environment: derivative=$(derivative), release=$(distrelease)"
	-mkdir -p $(stampdir)
	$(MAKE) -f debian/rules.conf $@

configure: control $(unpack_stamp) $(patch_stamp)
	$(MAKE) -f debian/rules2 $@

pre-build:
# no backport support for these releases ..., keep conditionals for
# Debian: jessie stretch buster bullseye ...
# UBuntu: precise trusty xenial bionic focal groovy hirsute ...
ifneq (,$(filter $(distrelease),lenny squeeze wheezy hardy lucid))
	@echo explicitely fail the build for $(distribution)/$(distrelease) on $(DEB_TARGET_ARCH).
	@echo no bug report required. please figure out the back port yourself.
	false
endif
#ifeq ($(PKGSOURCE),gcc-12)
#  ifneq (,$(findstring native, $(build_type)))
#    ifneq (,$(findstring mips, $(TARGET_ALIAS)))
#	@echo "native compiler for $(TARGET_ALIAS) not built from this source."
#	@echo "See https://lists.debian.org/debian-gcc/2021/05/msg00011.html"
#	false
#    endif
#  endif
#endif

build: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-arch: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-indep: pre-build control
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nocheck nopgo nolto" \
	    $(MAKE) $(NJOBS) -f debian/rules2 $@

check: $(check_stamp)
$(check_stamp): $(build_stamp)
	$(MAKE) -f debian/rules2 $@

clean:
	rm -rf $(stampdir)
# remove temporary dirs used for unpacking
	rm -rf $(gcc_srcdir) $(gdc_srcdir) $(newlib_srcdir) $(binutils_srcdir)
	-$(MAKE) -f debian/rules2 $@
	rm -rf $(srcdir)* $(builddir)* debian/tmp* html
	rm -f bootstrap-* test-protocol* first-move-stamp
	rm -f debian/*.tmp
	rm -f debian/soname-cache
	find debian -name '.#*' | xargs -r rm -f
	rm -f $(series_file)*
	rm -rf .pc
	dh_clean

install:
	$(MAKE) -f debian/rules2 $@

html-docs doxygen-docs update-doxygen-docs update-ada-files xxx:
	$(MAKE) -f debian/rules2 $@

binary-arch binary: build-arch
	$(MAKE) -f debian/rules2 $@

binary-indep: build-indep
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nocheck nopgo nolto" \
	    $(MAKE) -f debian/rules2 $@

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

release:
	foo=$(shell basename $(CURDIR)); \
		if [ "$$foo" != "gcc-3.4" ]; then \
			find -name CVS -o -name .cvsignore -o -name '.#*' | \
				xargs rm -rf; \
		fi

.NOTPARALLEL:
.PHONY: build clean binary-indep binary-arch binary release
